Bug 1196483 - /usr/bin/makecert conflicts with mono
Summary: /usr/bin/makecert conflicts with mono
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: czmq
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1196484
TreeView+ depends on / blocked
 
Reported: 2015-02-26 04:29 UTC by Ralf Corsepius
Modified: 2015-03-01 19:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 19:09:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralf Corsepius 2015-02-26 04:29:10 UTC
Description of problem:
/usr/bin/makecert from czmq-devel conflicts with mono-devel


Version-Release number of selected component (if applicable):
czmq-devel-2.2.0-3.fc22.x86_64
mono-devel-2.10.8-7.fc21.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. mock -r fedora-22-x86_64 --init
2. mock -r fedora-22-x86_64 --install mono-devel
3. mock -r fedora-22-x86_64 --install czmq-devel

Actual results:
...
Transaction check error:
  file /usr/bin/makecert from install of czmq-devel-2.2.0-3.fc22.x86_64 conflicts with file from package mono-devel-2.10.8-7.fc21.x86_64
...

Expected results:
czmq-devel and mono-devel to be installable in parallel.

Comment 1 Fedora Update System 2015-02-28 17:40:31 UTC
czmq-2.2.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/czmq-2.2.0-3.fc21

Comment 2 Fedora Update System 2015-03-01 06:50:27 UTC
Package czmq-2.2.0-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing czmq-2.2.0-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2892/czmq-2.2.0-3.fc21
then log in and leave karma (feedback).

Comment 3 Jose Pedro Oliveira 2015-03-01 19:09:15 UTC
The file /usr/bin/makecert has been renamed into  /usr/bin/czmq_makecert 
in the new builds of czmq 2.2.0 ( czmq-2.2.0-4.fc23, czmq-2.2.0-4.fc22, czmq-2.2.0-3.fc21 ).


Note You need to log in before you can comment on or make changes to this bug.